> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve the url of a sync for a specific consumer

> This route can be used to retrieve the url that can be shared with your clients to allow them to connect as specified in a sync



## OpenAPI

````yaml post /consumers/{consumer_id}/syncs
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/syncs:
    post:
      tags:
        - Consumers
      summary: Retrieve the url of a sync for a specific consumer
      description: >-
        This route can be used to retrieve the url that can be shared with your
        clients to allow them to connect as specified in a sync
      operationId: syncs_create_synctoconsumer
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateConsumerSyncItem'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LinkSyncItem'
        '400':
          content:
            application/json:
              examples:
                One API integration conflict:
                  value:
                    message: >-
                      You can only provide one integrationid for each selected
                      One API
                    status: error
                Integration not in sync:
                  value:
                    message: >-
                      {integrationid} is not part of the selected integrations
                      of the sync
                    status: error
                Invalid country code:
                  value:
                    message: '{country_code} is not a valid country code.'
                    status: error
                No integrations support country:
                  value:
                    message: No integration supports country '{country_code}'
                    status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                Sync not found:
                  value:
                    message: The sync does not exist
                    status: error
                Flow not found:
                  value:
                    message: The flow does not exist
                    status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateConsumerSyncItem:
      properties:
        syncid:
          type: string
          format: uuid
          title: Syncid
        integrationids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Integrationids
          description: >-
            [OPTIONAL] Can be used to specify maximum one integrationid for each
            One API that you want to highlight. If specified, only this
            connector will be displayed to your clients.
          default: []
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: >-
            ISO 3166-1 alpha-2 country code to filter connectors by country.
            Ignored if integrationids are provided.
        link_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Link Metadata
      type: object
      required:
        - syncid
      title: CreateConsumerSyncItem
    LinkSyncItem:
      properties:
        url:
          type: string
          title: Url
      type: object
      required:
        - url
      title: LinkSyncItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````